<ui:composition xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- expected parameters:
          - managedBean : the name of the bean which extends SimulatorResponderConfigurationDisplay
          - diagramPath : the path to the sequence diagram to display-->
    <s:div id="globalDiv">
        <div class="row">
            <div class="col-md-8">
                <h:graphicImage library="img" name="#{diagramPath}" styleClass="align: center;"/>
            </div>
            <s:div styleClass="col-md-4" rendered="#{not empty managedBean.configurations}">
                <a4j:repeat value="#{managedBean.configurations}" var="simuConf">
                    <!-- simulator configuration -->
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">#{simuConf.name}</ui:define>
                        <dl class="dl-horizontal">
                            <s:decorate id="domDecoration" template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.hl7.Domain']}</ui:define>
                                <h:outputText value="#{simuConf.domain.name}"/>
                            </s:decorate>
                            <s:decorate id="ipDecoration" template="/layout/display/_data_list_item.xhtml"
                                        rendered="#{simuConf.hl7Protocol == 'MLLP'}">
                                <ui:define name="label">#{messages['gazelle.HL7Common.IPAddress']}</ui:define>
                                <h:outputText value="#{simuConf.ipAddress}"/>
                            </s:decorate>
                            <s:decorate id="portDecoration" template="/layout/display/_data_list_item.xhtml"
                                        rendered="#{simuConf.hl7Protocol == 'MLLP'}">
                                <ui:define name="label">#{messages['gazelle.HL7Common.Port']}</ui:define>
                                <h:outputText value="#{simuConf.listeningPort}"/>
                            </s:decorate>
                            <s:decorate id="httpConfig"
                                        rendered="#{simuConf.hl7Protocol == 'HTTP'}"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.hl7.URL']}</ui:define>
                                <h:outputText value="#{simuConf.url}"/>
                            </s:decorate>
                            <s:decorate id="RecAppDecoration" template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.HL7Common.ReceivingApplication']}
                                </ui:define>
                                <h:outputText value="#{simuConf.receivingApplication}"/>
                            </s:decorate>
                            <s:decorate id="RecFacDecoration" template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.HL7Common.ReceivingFacility']}
                                </ui:define>
                                <h:outputText value="#{simuConf.receivingFacility}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.hl7.MessageEncoding']}</ui:define>
                                <h:outputText value="#{simuConf.messageEncoding}"/>
                            </s:decorate>
                            <s:decorate id="Status" template="/layout/display/_data_list_item.xhtml"
                                        rendered="#{simuConf.hl7Protocol == 'MLLP'}">
                                <ui:define name="label">#{messages['gazelle.hl7.Status']}</ui:define>
                                <h:outputText value="#{messages['gazelle.hl7.Running']}"
                                              styleClass="gzl-label gzl-label-green"
                                              rendered="#{simuConf.running}"/>
                                <h:outputText value="#{messages['gazelle.hl7.Stopped']}"
                                              styleClass="gzl-label gzl-label-red"
                                              rendered="#{not simuConf.running}"/>
                            </s:decorate>
                        </dl>
                        <a4j:commandLink action="#{managedBean.getUrlForHL7Messages(simuConf)}" execute="@this">
                            <s:span styleClass="gzl-icon-history "/>
                        </a4j:commandLink>
                        <a4j:commandLink action="#{managedBean.getUrlForConsole(simuConf)}" execute="@this">
                            <s:span styleClass="gzl-icon-exclamation-triangle"/>
                        </a4j:commandLink>
                        <ui:insert name="other_links"/>
                    </ui:decorate>
                </a4j:repeat>
                <ui:insert name="moreConfig"/>
            </s:div>
            <s:div styleClass="col-md-4" rendered="#{empty managedBean.configurations}">
                <ui:decorate template="/layout/panels/_panel.xhtml">
                    <ui:param name="bodyStyleClass" value="bg-warning"/>
                    <span class="gzl-icon-exclamation-triangle"/>
                    #{messages['gazelle.HL7Common.NoConfigurationHasBeenFoundForThisActor']}
                </ui:decorate>
            </s:div>
        </div>
    </s:div>
</ui:composition>
